Delete credential data
Roles
Analytics Events
/v2/credentials/web-semantic/{id}Deletes all stored data for an existing credential that matches the provided ID. If the credential is revocable, it will also be permanently revoked.
Analytic events
- CREDENTIAL_WEB_SEMANTIC_DELETE_START
- CREDENTIAL_WEB_SEMANTIC_DELETE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Credential ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve credential data GET
Returns all available data for an existing credential that matches the provided ID: - For credentials that were created with the `persist` flag set to `true`, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to `false`, the response only contains the metadata (`id`, `tag`, `credentialStatus`, `issuanceDate`) ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_START * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_FAIL
Create a trusted issuer POST
Add a new mDocs trusted issuer, to be used in online presentation workflows. ### **Analytic events** * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_START * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_SUCCESS * MOBILE_CREDENTIAL_TRUSTED_ISSUER_CREATE_FAIL